Eclipse Platform Release 3.7

## org.eclipse.core.commands
Interface IParameterValues

All Known Implementing Classes:
  ExtensionParameterValues

    public interface IParameterValues

The parameters for a command. This interface will only be consulted if the parameters need to be displayed to the user. Otherwise, they will be ignored.

Since:
  3.1

Method Summary
`Map` `getParameterValues()` Returns a map keyed by externalized names for parameter values.

Method Detail

### getParameterValues

    Map getParameterValues()

  Returns a map keyed by externalized names for parameter values. These names should be human-readable, and are generally for display to the user in a user interface of some sort. The values should be actual values that will be interpreted by the handler for the command.

  Returns:
    A map of the externalizable name of the parameter value (`String`) to the actual value of the parameter (`String`).

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.